




using APT.BaseData.Domain.Entities.FM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 辨识人员
    /// </summary>
    [Description("辨识人员")]
    public class T_HM_RISK_TASK_USER : MesEntityBase
    {
        /// <summary>
        /// 计划ID
        /// </summary>
        [Description("计划ID")]
        [DataFieldForeignKey("Nav_Task_Detail", "Nav_Users")]
        public Guid TASK_DETAIL_ID { get; set; }
        /// <summary>
        /// 人员
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        [FormFieldEdit]
        public Guid USER_ID { get; set; }
        /// <summary>
        /// 处理状态（待处理，已同意）
        /// </summary>
        [EnumName("FOUserShiftStatusEnum")]
        [Description("处理状态")]
        [FormFieldEdit]
        public FOUserShiftStatusEnum DEAL_STATUS { get; set; }
        /// <summary>
        /// 导航属性：人员
        /// </summary>
        [Description("导航属性：人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 导航属性：计划
        /// </summary>
        [Description("导航属性：计划")]
        public T_HM_RISK_TASK_DETAIL Nav_Task_Detail { get; set; }
        [Description("序号")]
        public int ROW_NO { get; set; }
    }
}
